org.keycloak.saml.common.util

## Class SecurityActions

- java.lang.Object
- - org.keycloak.saml.common.util.SecurityActions

-     public class SecurityActions
      extends Object

  Privileged Blocks
  Since:
    Dec 9, 2008
  Author:
    Anil.Saldhana@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityActions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getSystemProperty(String key, String defaultValue)` Returns a system property value using the specified `key`.
    `static ClassLoader` | `getTCCL()` Get the Thread Context ClassLoader
    `static Class<?>` | `loadClass(Class<?> theClass, String fullQualifiedName)` Loads a `Class` using the `fullQualifiedName` supplied.
    `static Class<?>` | `loadClass(ClassLoader classLoader, String fullQualifiedName)` Loads a class from the specified `ClassLoader` using the `fullQualifiedName` supplied.
    `static URL` | `loadResource(Class<?> clazz, String resourceName)` Load a resource based on the passed `Class` classloader.
    `static void` | `setSystemProperty(String key, String value)` Set the system property
    `static void` | `setTCCL(ClassLoader paramCl)` Set the Thread Context ClassLoader

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityActions

          public SecurityActions()

  - ### Method Detail

    - #### loadClass

          public static Class<?> loadClass(Class<?> theClass,
                                           String fullQualifiedName)

      Loads a `Class` using the `fullQualifiedName` supplied. This method tries first to load from the specified `Class`, if not found it will try to load from using TCL.

      Parameters:
        `theClass` -
        `fullQualifiedName` -
      Returns:

    - #### loadClass

          public static Class<?> loadClass(ClassLoader classLoader,
                                           String fullQualifiedName)

      Loads a class from the specified `ClassLoader` using the `fullQualifiedName` supplied.

      Parameters:
        `classLoader` -
        `fullQualifiedName` -
      Returns:

    - #### loadResource

          public static URL loadResource(Class<?> clazz,
                                         String resourceName)

      Load a resource based on the passed `Class` classloader. Failing which try with the Thread Context CL
      Parameters:
        `clazz` -
        `resourceName` -
      Returns:

    - #### setSystemProperty

          public static void setSystemProperty(String key,
                                               String value)

      Set the system property
      Parameters:
        `key` -
        `defaultValue` -

    - #### getSystemProperty

          public static String getSystemProperty(String key,
                                                 String defaultValue)

      Returns a system property value using the specified `key`. If not found the `defaultValue` will be returned.

      Parameters:
        `key` -
        `defaultValue` -
      Returns:

    - #### getTCCL

          public static ClassLoader getTCCL()

      Get the Thread Context ClassLoader
      Returns:

    - #### setTCCL

          public static void setTCCL(ClassLoader paramCl)

      Set the Thread Context ClassLoader
      Parameters:
        `paramCl` -

Copyright © 2021 JBoss by Red Hat. All rights reserved.